System.Design 2.0.0.0

This interface is intended for use by design host developers.

Provides an interface for access to the visual representation and content of a control at design time.

- Property
  2.0.0.0
  System.Web.UI.Design.DesignerRegion To be added. To be added.

  Gets the designer region that contains the associated control, if any.

- Method
  2.0.0.0
  System.Drawing.Rectangle `` To be added.

  Retrieves the outer bounds of the designer view.

  A containing information about the location and measurements of the view at design time.

  The for which you want to retrieve the bounds.
- Method
  2.0.0.0
  System.Void `` To be added.

  Notifies the design host that the area represented by the provided rectangle needs to be repainted on the design surface.

  A representing the location and outer measurements of the view on the design surface. The coordinate-system origin for this rectangle is the top-left corner of the element to which the behavior is attached.
- Property
  2.0.0.0
  System.ComponentModel.Design.IDesigner To be added. To be added.

  Gets the designer component for the naming container of the associated control, if any.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  For a description of this member, see .

  A member of the enumeration. true to set the flag, false to cancel the flag.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Puts the provided content into the provided designer region.

  A into which the content is to be put. The HTML markup to be put into the designer region.
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether designer regions are supported.

- Method
  2.0.0.0
  System.Void To be added.

  Causes the associated control to redraw the invalidated regions within its client area.

- Event
  2.0.0.0
  System.Web.UI.Design.ViewEventHandler

  The is raised by the design host if any of the following occur:

  The user clicks on the view in the design host,

  The design host repaints the client region on the design surface,

  The user has elected to change the editing mode of an editable region corresponding to a template.

  An event raised by the design host for the view and designer component.